InterfaceGraphique

## Class InterfacePrincipale.PanCategoriesListener

- java.lang.Object
- - InterfaceGraphique.InterfacePrincipale.PanCategoriesListener

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.util.EventListener, javax.swing.event.ListSelectionListener
  Enclosing class:
    InterfacePrincipale

      private class InterfacePrincipale.PanCategoriesListener
      extends java.lang.Object
      implements java.awt.event.ActionListener, javax.swing.event.ListSelectionListener

  Classe interne pour l'ecoute d'événements sur le panneaux de gestion des catégories.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `InterfacePrincipale.PanCategoriesListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)` Réagit au clic sur un des boutons du panneux des catégories.
    `void` | `valueChanged(javax.swing.event.ListSelectionEvent e)` Réagit à la selection d'une catégorie.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterfacePrincipale.PanCategoriesListener

          private InterfacePrincipale.PanCategoriesListener()

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Réagit au clic sur un des boutons du panneux des catégories.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Parameters:
        `e` - Un evenement au clic sur un bouton.

    - #### valueChanged

          public void valueChanged(javax.swing.event.ListSelectionEvent e)

      Réagit à la selection d'une catégorie.
      Specified by:
        `valueChanged` in interface `javax.swing.event.ListSelectionListener`
      Parameters:
        `e` - Un evenement a la selection d'une catégorie.